ThreeWay Class Reference

ThreeWay block cipher. More...

`#include <3way.h>`

Inheritance diagram for ThreeWay:

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Enc > | Encryption
typedef BlockCipherFinal< DECRYPTION, Dec > | Decryption
Public Types inherited from BlockCipherDocumentation
typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from ThreeWay_Info
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 12 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function.
Static Public Member Functions inherited from VariableRounds< 11 >
static unsigned int | StaticGetDefaultRounds (size_t keylength)
| The default number of rounds for the algorithm based on key length provided by a static function.
Static Public Attributes inherited from FixedBlockSize< 12 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from FixedKeyLength< 12 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant.
Static Public Attributes inherited from VariableRounds< 11 >
static const int | DEFAULT_ROUNDS
| The default number of rounds for the algorithm provided as a constant.
static const int | MIN_ROUNDS
| The minimum number of rounds for the algorithm provided as a constant.
static const int | MAX_ROUNDS
| The maximum number of rounds for the algorithm provided as a constant.

## Detailed Description

ThreeWay block cipher.

See also
  3-Way

Definition at line 23 of file 3way.h.

## Member Typedef Documentation

## Encryption

typedef BlockCipherFinal<ENCRYPTION, Enc> ThreeWay::Encryption

Definition at line 54 of file 3way.h.

## Decryption

typedef BlockCipherFinal<DECRYPTION, Dec> ThreeWay::Decryption

Definition at line 55 of file 3way.h.

The documentation for this class was generated from the following file:

- 3way.h